Package org.eclipse.m2m.atl.emftvm.trace.impl

## Class SourceElementImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.EObjectImpl
      - - org.eclipse.m2m.atl.emftvm.trace.impl.TraceElementImpl
        - - org.eclipse.m2m.atl.emftvm.trace.impl.SourceElementImpl

All Implemented Interfaces:
  `org.eclipse.emf.common.notify.Notifier`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.ecore.InternalEObject`, `SourceElement`, `TraceElement`

    public class SourceElementImpl
    extends TraceElementImpl
    implements SourceElement

An implementation of the model object 'Source Element'.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

`org.eclipse.emf.ecore.InternalEObject.EStore`

### Field Summary

Fields
`protected TraceLinkSet` `defaultFor` The cached value of the '`Default For`' reference.
`protected static boolean` `MAPS_TO_SELF_EDEFAULT` The default value of the '`Maps To Self`' attribute.
`protected org.eclipse.emf.common.util.EList<TargetElement>` `mapsTo` The cached value of the '`Maps To`' reference list.
`protected boolean` `mapsToSelf` The cached value of the '`Maps To Self`' attribute.
`protected TracedRule` `uniqueFor` The cached value of the '`Unique For`' reference.

### Fields inherited from class org.eclipse.m2m.atl.emftvm.trace.impl.TraceElementImpl

`name, NAME_EDEFAULT, object, RUNTIME_OBJECT_EDEFAULT, runtimeObject`

### Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

`EOPPOSITE_FEATURE_BASE`

### Constructor Summary

Constructors
`protected` `SourceElementImpl()`

### Method Summary

All Methods Instance Methods Concrete Methods
`TraceLinkSet` `basicGetDefaultFor()`
`TracedRule` `basicGetUniqueFor()`
`org.eclipse.emf.common.notify.NotificationChain` `basicSetDefaultFor​(TraceLinkSet newDefaultFor, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `basicSetSourceOf​(TraceLink newSourceOf, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `basicSetUniqueFor​(TracedRule newUniqueFor, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `eBasicRemoveFromContainerFeature​(org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` `eGet​(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseAdd​(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` `eInverseRemove​(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` `eIsSet​(int featureID)`
`void` `eSet​(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset​(int featureID)`
`TraceLinkSet` `getDefaultFor()`
`org.eclipse.emf.common.util.EList<TargetElement>` `getMapsTo()`
`TraceLink` `getSourceOf()`
`TracedRule` `getUniqueFor()`
`boolean` `isMapsToSelf()`
`void` `setDefaultFor​(TraceLinkSet newDefaultFor)`
`void` `setMapsToSelf​(boolean newMapsToSelf)`
`void` `setSourceOf​(TraceLink newSourceOf)`
`void` `setUniqueFor​(TracedRule newUniqueFor)`
`java.lang.String` `toString()`

### Methods inherited from class org.eclipse.m2m.atl.emftvm.trace.impl.TraceElementImpl

`basicGetObject, getName, getObject, getRuntimeObject, setName, setObject, setRuntimeObject`

### Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl

`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

`eNotificationRequired`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Methods inherited from interface org.eclipse.m2m.atl.emftvm.trace.TraceElement

`getName, getObject, getRuntimeObject, setName, setObject, setRuntimeObject`

### Field Detail

#### mapsTo

    protected org.eclipse.emf.common.util.EList<TargetElement> mapsTo

The cached value of the '`Maps To`' reference list.

See Also:
  `getMapsTo()`

#### defaultFor

    protected TraceLinkSet defaultFor

The cached value of the '`Default For`' reference.

See Also:
  `getDefaultFor()`

#### uniqueFor

    protected TracedRule uniqueFor

The cached value of the '`Unique For`' reference.

See Also:
  `getUniqueFor()`

#### MAPS_TO_SELF_EDEFAULT

    protected static final boolean MAPS_TO_SELF_EDEFAULT

The default value of the '`Maps To Self`' attribute.

See Also:
  `isMapsToSelf()`, Constant Field Values

#### mapsToSelf

    protected boolean mapsToSelf

The cached value of the '`Maps To Self`' attribute.

See Also:
  `isMapsToSelf()`

### Constructor Detail

#### SourceElementImpl

    protected SourceElementImpl()

### Method Detail

#### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

Overrides:
  `eStaticClass` in class `TraceElementImpl`

#### getSourceOf

    public TraceLink getSourceOf()

Specified by:
  `getSourceOf` in interface `SourceElement`
Returns:
  the value of the 'Source Of' container reference.
See Also:
  `SourceElement.setSourceOf(TraceLink)`, `TracePackage.getSourceElement_SourceOf()`, `TraceLink.getSourceElements()`

#### basicSetSourceOf

    public org.eclipse.emf.common.notify.NotificationChain basicSetSourceOf​(TraceLink newSourceOf,
                                                                            org.eclipse.emf.common.notify.NotificationChain msgs)

#### setSourceOf

    public void setSourceOf​(TraceLink newSourceOf)

Specified by:
  `setSourceOf` in interface `SourceElement`
Parameters:
  `newSourceOf` - the new value of the 'Source Of' container reference.
See Also:
  `SourceElement.getSourceOf()`

#### getMapsTo

    public org.eclipse.emf.common.util.EList<TargetElement> getMapsTo()

Specified by:
  `getMapsTo` in interface `SourceElement`
Returns:
  the value of the 'Maps To' reference list.
See Also:
  `TracePackage.getSourceElement_MapsTo()`, `TargetElement.getMapsTo()`

#### getDefaultFor

    public TraceLinkSet getDefaultFor()

Specified by:
  `getDefaultFor` in interface `SourceElement`
Returns:
  the value of the 'Default For' reference.
See Also:
  `SourceElement.setDefaultFor(TraceLinkSet)`, `TracePackage.getSourceElement_DefaultFor()`, `TraceLinkSet.getDefaultSourceElements()`

#### basicGetDefaultFor

    public TraceLinkSet basicGetDefaultFor()

#### basicSetDefaultFor

    public org.eclipse.emf.common.notify.NotificationChain basicSetDefaultFor​(TraceLinkSet newDefaultFor,
                                                                              org.eclipse.emf.common.notify.NotificationChain msgs)

#### setDefaultFor

    public void setDefaultFor​(TraceLinkSet newDefaultFor)

Specified by:
  `setDefaultFor` in interface `SourceElement`
Parameters:
  `newDefaultFor` - the new value of the 'Default For' reference.
See Also:
  `SourceElement.getDefaultFor()`

#### getUniqueFor

    public TracedRule getUniqueFor()

Specified by:
  `getUniqueFor` in interface `SourceElement`
Returns:
  the value of the 'Unique For' reference.
See Also:
  `SourceElement.setUniqueFor(TracedRule)`, `TracePackage.getSourceElement_UniqueFor()`, `TracedRule.getUniqueSourceElements()`

#### basicGetUniqueFor

    public TracedRule basicGetUniqueFor()

#### basicSetUniqueFor

    public org.eclipse.emf.common.notify.NotificationChain basicSetUniqueFor​(TracedRule newUniqueFor,
                                                                             org.eclipse.emf.common.notify.NotificationChain msgs)

#### setUniqueFor

    public void setUniqueFor​(TracedRule newUniqueFor)

Specified by:
  `setUniqueFor` in interface `SourceElement`
Parameters:
  `newUniqueFor` - the new value of the 'Unique For' reference.
See Also:
  `SourceElement.getUniqueFor()`

#### isMapsToSelf

    public boolean isMapsToSelf()

Specified by:
  `isMapsToSelf` in interface `SourceElement`
Returns:
  the value of the 'Maps To Self' attribute.
See Also:
  `SourceElement.setMapsToSelf(boolean)`, `TracePackage.getSourceElement_MapsToSelf()`

#### setMapsToSelf

    public void setMapsToSelf​(boolean newMapsToSelf)

Specified by:
  `setMapsToSelf` in interface `SourceElement`
Parameters:
  `newMapsToSelf` - the new value of the 'Maps To Self' attribute.
See Also:
  `SourceElement.isMapsToSelf()`

#### eInverseAdd

    public org.eclipse.emf.common.notify.NotificationChain eInverseAdd​(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                       int featureID,
                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseAdd` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove​(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eBasicRemoveFromContainerFeature

    public org.eclipse.emf.common.notify.NotificationChain eBasicRemoveFromContainerFeature​(org.eclipse.emf.common.notify.NotificationChain msgs)

Overrides:
  `eBasicRemoveFromContainerFeature` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

#### eGet

    public java.lang.Object eGet​(int featureID,
                                 boolean resolve,
                                 boolean coreType)

Specified by:
  `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eGet` in class `TraceElementImpl`

#### eSet

    public void eSet​(int featureID,
                     java.lang.Object newValue)

Specified by:
  `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eSet` in class `TraceElementImpl`

#### eUnset

    public void eUnset​(int featureID)

Specified by:
  `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eUnset` in class `TraceElementImpl`

#### eIsSet

    public boolean eIsSet​(int featureID)

Specified by:
  `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
Overrides:
  `eIsSet` in class `TraceElementImpl`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `TraceElementImpl`